edu.isi.pegasus.planner.client

## Class ExitCode

- java.lang.Object
- - org.griphyn.vdl.toolkit.Toolkit
  - - edu.isi.pegasus.planner.client.ExitCode

    public class ExitCode
    extends org.griphyn.vdl.toolkit.Toolkit

This class gets the exit code of a job from invocation record.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  `org.griphyn.vdl.parser.InvocationParser`, `DatabaseSchema`

### Field Summary

Fields
`static java.lang.String` `m_usage1` Just a string to denote the short usage.

### Fields inherited from class org.griphyn.vdl.toolkit.Toolkit

`m_application, m_home, m_logger, m_props, m_verbosity`

### Constructor Summary

Constructors
Constructor and Description
`ExitCode(java.lang.String appName)` ctor: Constructs a new instance object with the given application name.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected gnu.getopt.LongOpt[]` `generateValidOptions()` Creates a set of options.
`static void` `main(java.lang.String[] args)`
`void` `showThreads()`
`void` `showUsage()` Implements printing the usage string onto stdout.

### Methods inherited from class org.griphyn.vdl.toolkit.Toolkit

`getVerbosity, increaseVerbosity, readFile, setVerbosity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_usage1

    public static final java.lang.String m_usage1

Just a string to denote the short usage.

See Also:
  Constant Field Values

### Constructor Detail

#### ExitCode

    public ExitCode(java.lang.String appName)

ctor: Constructs a new instance object with the given application name.

### Method Detail

#### showUsage

    public void showUsage()

Implements printing the usage string onto stdout.

Specified by:
  `showUsage` in class `org.griphyn.vdl.toolkit.Toolkit`

#### generateValidOptions

    protected gnu.getopt.LongOpt[] generateValidOptions()

Creates a set of options.

#### showThreads

    public void showThreads()

#### main

    public static void main(java.lang.String[] args)